#!/usr/bin/env python3

"""setup.py
Setup script for euler-workbench command line application.

Copyright (C) 2014  Stijn Wouters  <w.stijn@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Last modified: 01 August 2014.
By: Stijn Wouters.
"""
from setuptools import setup


if '__main__' == __name__:
    with open('README.rst') as infile:
        readme = infile.read()

    setup(
        install_requires=[
            'Click',
            'tabulate',
            ],
        packages=[
            'eulerworkbench'
            ],
        entry_points='''
        [console_scripts]
        euler-workbench=eulerworkbench.cli:eulerworkbench
        ''',

        name='euler-workbench',
        version='0.1.0',
        author='Stijn Wouters',
        author_email='w.stijn@gmail.com',
        maintainer='Stijn Wouters',
        url='https://github.com/Stijn-Flipper/euler-workbench',
        download_url='https://github.com/Stijn-Flipper/euler-workbench/releases',
        license='GNU General Public License v3 (GPLv3)',
        description='Command Line application for your Project Euler.',
        long_description=readme,
        classifiers=[
            'Development Status :: 3 - Alpha',
            'Intended Audience :: Developers',
            'Intended Audience :: Education',
            'Intended Audience :: Other Audience',
            'Intended Audience :: Science/Research',
            'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
            'Operating System :: OS Independent',
            'Programming Language :: Python :: 3',
            'Programming Language :: Python :: 3.3',
            'Topic :: Education',
            'Topic :: Scientific/Engineering',
            'Topic :: Scientific/Engineering :: Mathematics',
            'Topic :: System :: Benchmark',
            'Topic :: Terminals',
            'Topic :: Utilities',
            ],
        keywords=[
            'project euler',
            'workbench',
            'command line',
            ],
        )
